Package dev.plex.rank

# Class RankManager

java.lang.Object
dev.plex.rank.RankManager

public class RankManager extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private final File`
`options`

## Constructor Summary

Constructors
Constructor
Description
`RankManager()`

## Method Summary

Modifier and Type
Method
Description
`void`
`generateDefaultRanks()`
`net.kyori.adventure.text.format.NamedTextColor`
`getColor(PlexPlayer plexPlayer)`
`net.kyori.adventure.text.Component`
`getConfigPrefixes(PlexPlayer plexPlayer)`
`String`
`getLoginMessage(PlexPlayer plexPlayer)`
`net.kyori.adventure.text.Component`
`getPrefix(PlexPlayer plexPlayer)`
`Rank`
`getRankFromString(String rank)`
`void`
`importDefaultRanks()`
`boolean`
`isAdmin(PlexPlayer plexPlayer)`
`boolean`
`isSeniorAdmin(PlexPlayer plexPlayer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### options

private final File options

## Constructor Details

### RankManager

public RankManager()

## Method Details

### generateDefaultRanks

public void generateDefaultRanks()

### getRankFromString

public Rank getRankFromString(String rank)

### importDefaultRanks

public void importDefaultRanks()

### getConfigPrefixes

public net.kyori.adventure.text.Component getConfigPrefixes(PlexPlayer plexPlayer)

### getPrefix

public net.kyori.adventure.text.Component getPrefix(PlexPlayer plexPlayer)

### getLoginMessage

public String getLoginMessage(PlexPlayer plexPlayer)

### getColor

public net.kyori.adventure.text.format.NamedTextColor getColor(PlexPlayer plexPlayer)

### isAdmin

public boolean isAdmin(PlexPlayer plexPlayer)

### isSeniorAdmin

public boolean isSeniorAdmin(PlexPlayer plexPlayer)